Subject: bug#22392: Emacs OS X GUI doesn't set locale

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Jan 2016 17:53:00 +0200

> Date: Wed, 27 Jan 2016 07:21:41 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], emacs-devel <[email-masked]>
> 
>     > * Why a separate source file? Is there any technical reasons why this
>     > couldn't reside in, say, nsterm.m?
>     
>     No, I just wasn't sure what the deal was with including files like that
>     in emacs.c since there's quite a lot in it. If that's an acceptable way
>     to do it then I'd be happy to do so.
> 
> Ah, I see. Including "nsterm.h" from "emacs.c" sounds like a bad idea, as it
> would increase the rebuild times.

Why is that?  We already include nsterm.h in at least 2 other *.c
files, so why would a third one matter so much?

> In this case, introducing a new source file seems like the right
> choice.

I'd rather avoid a new file, especially as it's going to be very
small.

Thanks.